<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.0  (Linux)">
	<META NAME="CREATED" CONTENT="20070621;11001200">
	<META NAME="CHANGED" CONTENT="20080708;11551400">
</HEAD>
<BODY LANG="en-US" DIR="LTR">
<P STYLE="margin-bottom: 0in"><FONT SIZE=6><B>Test for Grammar Type</B></FONT></P>
<P STYLE="margin-bottom: 0in"><BR>
</P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in">Contents</H2>
<P STYLE="margin-bottom: 0in"><U><A HREF="#Introduction|outline">Introduction</A><BR></U><A HREF="#how to"><U>How
to Test for Grammar Type</U></A></P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in"><BR>
</H2>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in"><A NAME="Introduction|outline"></A>
Introduction</H2>
<P STYLE="margin-bottom: 0in">JFLAP allows users to check what type
of grammar they are entering.</P>
<P STYLE="margin-bottom: 0in"><BR>
</P>
<H2 STYLE="margin-top: 0in; margin-bottom: 0in"><A NAME="how to"></A>How
to Test for Grammar Type</H2>
<P><A NAME="language1"></A>We will begin by entering a regular
grammar. You could either enter the grammar below or load the file
<A HREF="regGrammarToNFA.jff">regGrammarToNFA.jff</A>. 
</P>
<P ALIGN=CENTER><IMG SRC="images/images_0.png" NAME="Graphic0" ALIGN=MIDDLE WIDTH=600 HEIGHT=484 BORDER=0></P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in">Now let's test for what type
of grammar it is. Click on <B>Test</B> and click <B>Test for Grammar
Type</B>. JFLAP will now notify you about the grammar type. 
</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=CENTER><IMG SRC="images/images_1.png" NAME="Graphic1" ALIGN=MIDDLE WIDTH=600 HEIGHT=484 BORDER=0></P>
<P>It tells user that the grammar we entered is right-linear grammar,
which is also regular and context-free grammar. 
</P>
<P>Now, lets enter another grammar. Enter the grammar below or load
the grammar from <A HREF="contextfreeGrammar.jff">contextfreeGrammar.jff</A>.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><BR>
</P>
<P ALIGN=CENTER><IMG SRC="images/images_2.png" NAME="Graphic2" ALIGN=MIDDLE WIDTH=600 HEIGHT=484 BORDER=0></P>
<P ALIGN=LEFT>By clicking same options, we can confirm that this
grammar is context-free grammar from JFLAP. 
</P>
<P ALIGN=CENTER><IMG SRC="images/images_3.png" NAME="Graphic3" ALIGN=MIDDLE WIDTH=600 HEIGHT=484 BORDER=0></P>
<P ALIGN=LEFT>This feature in JFLAP can recognize right and left
linear grammar, CNF grammar, GNF grammar, context-sensitive grammar,
and unrestricted grammar.</P>
<P ALIGN=LEFT STYLE="margin-bottom: 0in"><B>This concludes our brief
tutorial on Test for Grammar Type. Thanks for reading!</B></P>
</BODY>
</HTML>